from datetime import datetime, timezone

def get_http_date() -> str:
    """
    Returns the current date and time in HTTP-date format (RFC 7231).
    Example: Thu, 19 Dec 2024 06:56:48 GMT
    """
    now = datetime.now(timezone.utc)
    return now.strftime("%a, %d %b %Y %H:%M:%S GMT")